Compability problem 1.1 - 2.0 and vs.net 2008 (net 3.5)

Topics: Caching Application Block , Enterprise Library Core, General discussion
Dec 4, 2007 at 8:54 AM
Hi!

I just upgraded and installed .net 3.5 and vs.net 2008.

Now when I run my old 1.1 porjects with entlib 1.1 I get the following error:

Exception: System.Configuration.ConfigurationException
Message: Unrecognized attribute 'requirePermission' (C:\WINDOWS\Microsoft.NET\Framework\v2.0.50727\Config\machine.config line 14)
Source: Microsoft.Practices.EnterpriseLibrary.Configuration
at Microsoft.Practices.EnterpriseLibrary.Configuration.ConfigurationFile.ReadSection(XmlTextReader reader, String configKey)
at Microsoft.Practices.EnterpriseLibrary.Configuration.ConfigurationFile.ReadConfigSections(XmlTextReader reader, String configKey)
at Microsoft.Practices.EnterpriseLibrary.Configuration.ConfigurationFile.ReadConfiguration(XmlTextReader reader)
at Microsoft.Practices.EnterpriseLibrary.Configuration.ConfigurationFile.Load(String filename)
at Microsoft.Practices.EnterpriseLibrary.Configuration.ConfigurationBuilder.LoadMetaConfiguration(String configurationFile)
at Microsoft.Practices.EnterpriseLibrary.Configuration.ConfigurationBuilder..ctor()
at Microsoft.Practices.EnterpriseLibrary.Configuration.ConfigurationManager..ctor()
at Microsoft.Practices.EnterpriseLibrary.Configuration.ConfigurationManager.get_Current()
at Microsoft.Practices.EnterpriseLibrary.Configuration.ConfigurationManager.GetCurrentContext()
at Microsoft.Practices.EnterpriseLibrary.Caching.CacheFactory..cctor()

Does anyone know what this is?
Dec 4, 2007 at 10:37 AM
Hi,

Did your project run fine with VS 2005?

Fernando
Dec 4, 2007 at 11:57 AM
Edited Dec 4, 2007 at 11:58 AM
Yes it worked with 2005, everything worked fine until I installed vs.net 2008. One thing though, I had vs.net 2008 beta installed and uninstalled it before installing vs.net 2008.
Now I've uninstalled .net 2.0, 3.0, 3.5. And removed the v2.0.50727 folder to get it working again. My .net 1.1 project is critical so I can't have it "not working"...
Jan 17, 2008 at 11:54 AM
Hi erik,

Did you ever solve this problem ?

I have just upgraded my MIIS test enviroment with SP2 ( which includes upgrade to .net 2.0 ) and got this error on all my projects :(

Thanks for any help
Jan 18, 2008 at 7:46 AM
Hi!

I got it working again..

unistalled all .net down to .net 1.1, it was a real pain...

and then installed all .net 2.0, .net 3.0, .net 3.5 back again...

The only article I found really describing the problem was this one:
http://msdn.microsoft.com/msdnmag/issues/06/03/CLRInsideOut/default.aspx